### Function

# Camel search_util_str_to_time

since: 3.58

#### Declaration [src]

    gint64
    camel_search_util_str_to_time (
      const gchar* str
    )

#### Description [src]

Converts a string representation to a time_t (as gint64). When `str` is `NULL`, returns -1.

Available since: 3.58

#### Parameters

`str`

  Type: `const gchar*`

  String to convert to time, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint64`

A time_t representation of the `str`, -1 on error.